Subject: Re: Passing list of objects to GNU ld...
From: [email-masked] (Eric Devolder)

18 Jul 1998 15:07:12 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked], Berend Ozceri <[email-masked]>

The same problem exists in the course of creating the library. If you have
lots of object files needed to link together for a program, then you may also
have lots of object files to place in the library.

I for one would like a feature of being able to list the object files in a
text file. On a daily basis I use this feature in commercial tool-chains.

Eric

Earnie Boyd wrote:

> Why not use an archived library file?
>
> ---Berend Ozceri <[email-masked]> wrote:
> >
> > Excerpts from gnu-win32: 15-Jul-98 RE: Passing list of objects to by
> GNU ld...
> >          Sergey Okhapkin
> > >> Is there any way to get GNU ld to read the list of object files
> to be linked
> >
> > >> from a text file containing the names of the object files, one
> per line?
> > >>
> > >ld [options] `cat listfile`
> >
> > The problem is, I am trying to work around the issue of the
> command-line being
> > too long (i.e. exceeding the maximum number of command-line
> arguments of the
> > shell). Therefore cat'ing a file and expanding the file into
> arguments is *not*
> > a solution.
> >
> > In case anyone cares, this is for compiling the output of a Verilog
> simulator
> > that converts Verilog into C, resulting in 1000+ object files.
> >
> > Berend
> > -
> > For help on using this list (especially unsubscribing), send a
> message to
> > "[email-masked]" with one line of text: "help".
> >
>
> _________________________________________________________
> DO YOU YAHOO!?
> Get your free @yahoo.com address at http://mail.yahoo.com
>
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".